Subject: Daylily seed
From: vlrhrgrv@cc (Valerie Hargrove)
Date: 3 Aug 1994 00:55:26 GMT
Newsgroups: bionet.plants

I am trying to germinate daylily seed - I think they are from the
variety "Stella d'Oro".  I just collected them and am keeping them moist.
Will this work, or do they need a cooling time before they will germinate?